package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.BannerInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.BannerInfoMapper")
public interface BannerInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(BannerInfo record);

    BannerInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(BannerInfo record);

    List<BannerInfo> queryAllBannerInfo(BannerInfo record);

    List<BannerInfo> queryBannerInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    BannerInfo queryBannerInfo(BannerInfo record);

    List<BannerInfo> query(BannerInfo record);
}

